from blacs.device_base_class import DeviceTab


class EttusSDRTab(DeviceTab):
    def restore_builtin_save_data(self, data):
        DeviceTab.restore_builtin_save_data(self, data)
        # Override restored settings and show and maximise the outputbox for this tab:
        self.set_terminal_visible(True)
        self._ui.splitter.setSizes([0, 0, 1])

    def initialise_workers(self):
        connection = self.settings['connection_table'].find_by_name(self.device_name)
        props = connection.properties
        self.create_worker(
            'main_worker',
            'user_devices.EttusSDR.blacs_workers.EttusSDRWorker',
            {"tx_frequency": props["tx_frequency"], "sampling_rate": props["sampling_rate"]},
        )
        self.primary_worker = 'main_worker'